Change History for CompilationGuide/Centos

Version Date Author Comment
94 13 months llogan updated x264 git url. updated opus. http to https some urls.
93 16 months llogan removed legacy libogg & libvorbis. removed mentions of ffserver.
92 16 months llogan updated nasm, opus, libogg, libvorbis
91 16 months gkorovkin Centos7 build failing on ffmpeg configuration on freetype2 pkg-config …
90 22 months llogan removed script again. it does not do that the guide does. users can …
89 22 months greenes2
88 22 months llogan Removed legacy libtheora. Use libvpx instead.
87 22 months llogan removed build scripts. these quickly become abandoned/unmaintaned and …
86 22 months slhck do not install x264-devel from packages; reference script not via …
85 23 months greenes2
84 23 months greenes2
83 23 months greenes2 Script to compile ffmpeg in Centos 7. Alvaro Bustos
82 23 months greenes2
81 23 months greenes2 Script to compile-install ffmpeg. Alvaro Bustos
80 23 months greenes2
79 23 months greenes2
78 23 months greenes2
77 23 months greenes2
76 23 months greenes2
75 2 years cbsrobot fix small typo
74 2 years kevleyski Adding Theora
73 2 years charliekang Addendum to libx264 warning, nasm compiled binary - ensure env can …
72 2 years llogan Declutter. Don't need a warning for missing components: this is a …
71 2 years AgoPu
70 2 years AgoPu
69 2 years doubleb corrected tip for biulding against latest ffmpeg major/stable release
68 2 years doubleb
67 2 years gmipf added updatet links
66 2 years gmipf added --extra-libs=-lm to the ffmpeg configuration, needed for latest …
65 3 years slhck fix link to changes
64 3 years slhck add information from Ubuntu compilation guide to harmonize the two
63 3 years llogan don't mess with repos. don't remove pkgconfig as it removes system …
62 3 years slhck add pthread needed for x265
61 3 years slhck Reverted to version 58, just noticed that x265 needs yasm
60 3 years slhck remove yasm entirely, not just strikethrough, fix configure commands …
59 3 years orbenn changed yasm recommendation to nasm as yasm is out of date and …
58 3 years slhck format ./configure command to be in line with Ubuntu guide
57 3 years slhck add enable-vp9-highbitdepth flag; link to VP9 encoding guide
56 3 years jnute typo in repo URI
55 3 years jnute update stale repositories
54 3 years slhck add yasm again, apparently needed for libvpx
53 3 years slhck remove yasm, update nasm version
52 3 years doubleb changing ffmpeg configure option --enable-libfdk-aac to --enable-libfdk_aac
51 4 years llogan removed note about release tags. no need for export. removed `make …
50 4 years gustavofn Missing a -ldl on --extra-ldflags during the configure of ffmpeg
49 4 years sbonds When working with software straight out of Git, sometimes the latest …
48 4 years oxmon
47 4 years oxmon
46 4 years EricJamesStone Non-https link was causing git error
45 4 years badshah changed opus git repo address to use http protocol instead of git …
44 4 years llogan Remove --depth because dumb http transport does not support it. VLC …
43 4 years cbsrobot
42 5 years doubleb setting PKG_CONFIG_PATH="$HOME/ffmpeg_build/lib/pkgconfig before …
41 5 years kikonio I had to compile this today on Centos 6.6, found a small typo for …
40 5 years doubleb added "update yasm"
39 5 years doubleb
38 5 years doubleb
37 5 years llogan add x265, remove useless theora
36 5 years metinex
35 6 years llogan simplify some things, make is installed by default
34 6 years scytale update libvpx git url
33 6 years llogan add configure requirements for each external library
32 6 years llogan fancy notes
31 6 years relaxed Make the note bold; change to FFmpeg
30 6 years relaxed Users cherry picking info from this page get bitten by omitting …
29 6 years llogan minor edit to update version numbers
28 7 years llogan update fdk-aac git repo
27 7 years MarkZV add export, update opus to 1.0.3
26 7 years johann04 Enter missing in the FFMPEG compilation
25 7 years llogan add opus, update libogg, add Additional Libraries section
24 7 years llogan change guide to make local type install
23 7 years llogan nit: indicate that this guide works for =>6.0
22 7 years llogan gcc-c++ is needed by fdk-aac
21 7 years llogan fix/cleanup fdk-aac and theora additions
20 7 years evilsoup Added fdk_aac information & libtheora
19 7 years llogan add forgotten zlib
18 7 years llogan remove zlib since it is in repo
17 7 years llogan add RHEL and Fedora note
16 8 years llogan prune: nobody uses theora; libvo_aacenc is garbage
15 8 years llogan remove --enable-zlib since it is autodetected; specifiy that zlib is …
14 8 years llogan add "up to date" notification for ticket 1591
13 8 years dimircea Added zlib details in the uninstall section.
12 8 years dimircea Added zlib to the installation details. Required for different …
11 8 years dimircea
10 8 years llogan update vo-aacenc to 0.1.2; add vo-aacenc to revert section; update …
9 8 years llogan update LAME to 3.99.5
8 8 years llogan add x264-devel to "Remove any existing packages"
7 8 years llogan erase make _after_ using it to uninstall packages
6 8 years llogan make external libraries not shared; libvpx uses 'make clean'
5 8 years llogan add "compilation is now complete"
4 8 years llogan remove curl as dependency (from an incorrect paste); fix some headings
3 8 years llogan add ffmpeg relative link
2 8 years llogan cleanup, fix vo-aacenc section, finish reverting section
1 8 years llogan make initial page